## class SizeShapeCmd : public Command

> abstract command class for resizing a shape.

## Inheritance:

### Public Methods

  | SizeShapeCmd (GShape *shape, int direction)
  void | TrackMouse (TrackType aPhase, Point *anchorPoint, Point *previousPoint, Point *nextPoint)

### Protected Fields

  GShape* | shape
  int | newWidth
  int | newHeight
  int | oldWidth
  int | oldHeight
  int | direction
  bool | constrainX
  bool | constrainY

### Protected Methods

  virtual void | DrawOutline (const Point *pt)

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void Execute()
virtual void UnExecute()
virtual void ReExecute()
virtual void Abort()
bool CmdDone() const
virtual const char* GetName() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> abstract command class for resizing a shape.

`SizeShapeCmd(GShape *shape, int direction)`

`void TrackMouse(TrackType aPhase, Point *anchorPoint, Point *previousPoint, Point *nextPoint)`

`GShape* shape`

`int newWidth`

`int newHeight`

`int oldWidth`

`int oldHeight`

`int direction`

`bool constrainX`

`bool constrainY`

`virtual void DrawOutline(const Point *pt)`

Direct child classes:
  SizeShapeCenterCmd
  SizeShapeBorderCmd

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de